"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdab790>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdab820>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdab8b0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdab940>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdab9d0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdaba60>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdabaf0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdabb80>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdabc10>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdabca0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdabd30>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdabdc0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdabe50>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdabee0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdabf70>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2040>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb20d0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2160>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb21f0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2280>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2310>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb23a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2430>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb24c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb25e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2550>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2670>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2700>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2790>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2820>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb28b0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2940>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb29d0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2a60>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2af0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2b80>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2c10>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2ca0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2d30>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2dc0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2e50>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2ee0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb2f70>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5040>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb50d0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5160>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb51f0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5280>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5310>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb53a0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5430>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb54c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5550>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb55e0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5670>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5700>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5790>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5820>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb58b0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5940>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb59d0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5a60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5af0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5b80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5c10>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5dc0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5ca0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5e50>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5ee0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb5f70>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9040>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb90d0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb91f0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9160>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9280>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9310>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb93a0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb94c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9430>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9550>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb95e0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9670>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9700>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9790>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60cdb9820>)]
name: str = 'fr_HOCCN'
